Bug 1305934 - Wrong calculation of jbpm Designer IFrame height
Wrong calculation of jbpm Designer IFrame height
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.3.0
All All
unspecified Severity medium
: ER3
: 6.3.0
Assigned To: Cristiano Nicolai
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 10:54 EST by Kirill Gaevskii
Modified: 2016-04-15 05:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jBPM Designer IFrame height (1.74 MB, application/ogg)
2016-02-09 10:54 EST, Kirill Gaevskii
no flags Details
6.3.ER1 iFrame resize status (1.59 MB, application/ogg)
2016-03-17 11:45 EDT, Kirill Gaevskii
no flags Details

  None (edit)
Description Kirill Gaevskii 2016-02-09 10:54:25 EST
Created attachment 1122442 [details]
jBPM Designer IFrame height

Description of problem:
jBPM Designer IFrame always is too small related the browser window or little bigger then there are available space. See attachment. 

Version-Release number of selected component (if applicable):
6.3.0 DR1 (The same problem occur on latest Snapshot)

How reproducible:
always on FF31, FF38, FF44, Latest Google Chrome and IE11

Steps to Reproduce:
1. Open Business process
2. Open messages panel
3. Try maximize designer

Actual results:
In all cases designer will be less then it can be.

Expected results:
Designer will fill all free space

Additional info:
It seem like designer IFrame calculates in hard way (IFrame element "height" property)
Comment 3 Kirill Gaevskii 2016-03-17 11:44:26 EDT
It is much better, but it still has issues with Maximize/minimize buttons and Messages panel. See attachment.
Comment 4 Kirill Gaevskii 2016-03-17 11:45 EDT
Created attachment 1137424 [details]
6.3.ER1 iFrame resize status
Comment 5 Cristiano Nicolai 2016-03-23 18:58:56 EDT
Fixed re-sizing problem on both master and 6.4.x branches:

https://github.com/uberfire/uberfire/commit/cd3ec481ac4a5d89fc74e8e4d180b9bb620cda43

https://github.com/uberfire/uberfire/commit/313653fe407d014d5e02be1a99f6fb7695ca9d7d

Unfortunately doesn't seem like the merge was done in time for the ER2 release.
Comment 6 Kirill Gaevskii 2016-03-31 12:14:02 EDT
Commit is not present in 6.3.0.ER2.

Note You need to log in before you can comment on or make changes to this bug.